Subject: Re: bug#8942: 23.3; emacsclient doesn't exit when called Emacs function is quited.

From: Juanma Barranquero <[email-masked]>
Date: Mon, 4 Jul 2011 11:33:38 +0200

On Mon, Jun 27, 2011 at 11:37, Remi Vanicat <[email-masked]> wrote:

> When using emacsclient -e option, and the called function is quited
> using C-g, emacsclient doesn't return, and stay stuck. to reproduce:

Certainly, not returning -error to emacsclient and closing the
connection seems like a bug.

Stefan, you added the `with-local-quit' stuff to `server-execute'.
Shouldn't that function call (server-return-error proc err) when the
user quits?

    Juanma